/***************************************************************************
 *   Copyright (C) 2009 by QEVEN Team                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 **************************************************************************/

#ifndef MPLAYER_PREVIEW_H
#define MPLAYER_PREVIEW_H

#include <QtGui/QWidget>

#include <string>
using namespace std;

#include <QProcess>

class Mplayer_Preview : public QWidget
{
   Q_OBJECT

    public:
   Mplayer_Preview( QWidget *parent = 0, Qt::WFlags flags = 0 );
   ~Mplayer_Preview();

   void preview_video( string file_name, string mplayerDir);
   void quit_mplayer();
   bool is_running_mplayer();
    protected:
   void closeEvent(QCloseEvent *event);

    private:
   QProcess* mplayer;
   QString program;
   QStringList args;


};

#endif // MPLAYER_PREVIEW_H
